angular.module("DocCheckPictures.directives").directive('dcInput', ->
	restrict: 'E'
	#require: 'dcAskForm'
	templateUrl: 'templates/DcInputTemplate.html'
	scope:
		labelText: '@'
		hintText: '@'
		requiredHintText: '@'
		icon: '@'
		iconAction: '&'
		required: '='
		model: '='
	controller: 'DcInputCtrl'		
	transclude: true
	#link: (scope, element, attrs) ->
		###
		labelBlock 				= element.find('div.dclabel')
		iconBlock 				= element.find('div.dcicon')
		inputBlock				= element.find('div.dcinput')
		transcludedBlock  = element.find('div.transcluded')
		transcludedElems  = transcludedBlock.children()

		angular.forEach(transcludedElems , (elem) ->

			if elem.tagName == 'INPUT' || elem.tagName == 'TEXTAREA'
				inputBlock.append(elem)

				if attrs.icon && attrs.icon.length > 0
					iconbutton = '<button class="button button-icon fa ' + attrs.icon + '"'

					if attrs.iconaction && attrs.iconaction.length > 0
						iconbutton += ' ng-click="' + attrs.iconaction + '"'

					iconbutton += '></button>'

					inputBlock.append(iconbutton)

			if attrs.labeltext && attrs.labeltext.length > 0
				labelBlock[0].innerHTML = attrs.labeltext

		)


		transcludedBlock.remove()
		###
)