angular.module("DocCheckPictures.controllers").controller('DcLoginCtrl', ($scope, $timeout, Login, Settings) ->

	$scope.form = {
		user 	: ''
		pw 		: ''
		hint : {
			user : false
			pw : false
		}
	}

	$scope.submitLogin = ->
		if $scope.form.user && $scope.form.pw
			$scope.hideRequiredHints()
			Login.sendLoginRequest($scope.form.user, $scope.form.pw, (data, status, headers, config) ->

			(data, status, headers, config) ->
				$scope.form.hint.user = true
				$scope.form.hint.pw = true

				$timeout(->
					$scope.hideRequiredHints()
				, 6000)

				$scope.failureText = 'Inkorrekt!'
			)
		else
			$scope.showRequiredHint()


	$scope.showRequiredHint = ->
		$scope.form.hint.user = (!$scope.form.user || $scope.form.user.length == 0)
		$scope.form.hint.pw = (!$scope.form.pw || $scope.form.pw.length)

	$scope.hideRequiredHints = ->
		$scope.form.hint.user = false
		$scope.form.hint.pw = false

	$scope.openUrl = (url) ->
		if cordova?
			ref = window.open(url, "_system")
			console.log ref
		else
			window.open(url, "_blank")
			console.log "[Seperate implementation for browser]"

			Settings.getLanguage(true)

	$scope.getReminderUrl = ->
		return 'https://www.doccheck.com/'+ Settings.getLanguage(true) + '/account/password/reminder/'

	$scope.getRegistrationUrl = ->
		return 'https://www.doccheck.com/'+ Settings.getLanguage(true) + '/account/register/'
		



	
)