angular.module("DocCheckPictures.services").service('LoginModal', [
  '$ionicModal',
  '$rootScope',
  'Login'
($ionicModal, $rootScope, Login) -> 

	init = ($scope, tpl='templates/login-modal.html') ->

    $scope = $rootScope
    
    promise = $ionicModal.fromTemplateUrl(tpl, {
      scope: $scope,
      animation: 'fade-in'
    }).then((modal) -> 
      modal.focusFirstInput = true
      $scope.loginModal = modal
      return modal
    )

    $scope.openModal = ->
      if screen.lockOrientation
        screen.lockOrientation('portrait')
      $scope.loginModal.show();
     
    $scope.$on('modal.hidden', ->
      if screen.lockOrientation
        screen.unlockOrientation()
      if(!Login.isAuthenticated())
        Login.cancelActionCallback()
    )

    $scope.closeModal = ->
      if screen.lockOrientation
        screen.unlockOrientation()
      $scope.modal.hide();
      if(!Login.isAuthenticated())
        Login.cancelActionCallback()

    $scope.$on('$destroy', ->
       $scope.modal.remove();
    );
    
    return promise;
  
  
  return {
    init: init
  }
  
])