angular.module("DocCheckPictures.services").factory "Settings", (LocalStorage) ->

  selectedLanguage = undefined

  getAvailableLanguages: ->
    return ['DE', 'EN', 'de', 'en', 'de_DE', 'en_EN', 'de_de', 'en_en']

  setLanguage: (l) ->
    console.log("SETLANGUAGE")
    console.log(l)
    if l.indexOf('_') >= 0
      l = l.substring(0, l.indexOf('_'))
    console.log(selectedLanguage)
    if(selectedLanguage != l)
      console.log("SET TO " + l)
      selectedLanguage = l
      LocalStorage.set('language', l)
      console.log(selectedLanguage)
      
      if selectedLanguage != undefined && selectedLanguage.length == 2 && window.AppGroupsUserDefaults
        options = {
          key: "dclang",
          value: selectedLanguage,
          suite: "group.dcpictures"
        }
        window.AppGroupsUserDefaults.save(options, undefined, undefined)

      return true
    return false

  getLanguage: (loginUrl=false) ->
    if !selectedLanguage
      selectedLanguage = LocalStorage.get('language')

    if loginUrl
      if selectedLanguage == 'en' then return 'com'
    return selectedLanguage