angular.module("DocCheckPictures.translations").config(($translateProvider) ->

  $translateProvider.translations('de_DE', {
    ###
    #
    # 888888   8888888
    # 88   88  88
    # 88    88 88
    # 88    88 8888
    # 88    88 88
    # 88   88  88
    # 888888   8888888
    #
    ###
    'DC_PICTURES'                       : 'DocCheck Pictures'

    'SEARCH_PLACEHOLDER'                : 'Stichwort...'
    'SEARCH_CONNECTION_INFO'            : 'Verbindung zu DocCheck Pictures konnte nicht hergestellt werden.'
    'SEARCH_NEWEST_PICTURES'            : 'Neue Bilder'
    'SEARCH_NO_RESULTS'                 : 'Keine Treffer für diesen Begriff'
    'SEARCH_RESULTS_FOR'                : 'Ergebnisse für'

    'DETAIL_HEADING'                    : 'Detailansicht'
    'DETAIL_DELETE_CHECK_HEADING'       : 'Bild löschen'
    'DETAIL_DELETE_CHECK_CONTENT'       : 'Bist Du sicher, dass Du dieses Bild löschen möchtest?'
    'DETAIL_DELETE_SUCCESS_HEADING'     : 'Löschen erfolgreich'
    'DETAIL_DELETE_SUCCESS_CONTENT'     : 'Das Bild wurde gelöscht.'
    'DETAIL_DELETE_FAILURE_HEADING'     : 'Löschen fehlgeschlagen'
    'DETAIL_DELETE_FAILURE_CONTENT'     : 'Das Bild konnte nicht gelöscht werden. Bitte überprüfe Deine Verbindung oder versuche es später erneut.'
    'DETAIL_PICINFO_FAILURE_CONTENT'    : 'Die Bildinformationen konnten nicht abgerufen werden. Bitte überprüfe Deine Verbindung oder versuche es später erneut.'

    'EDIT_TITLE'                        : 'Bild bearbeiten'
    'EDIT_PLACEHOLDER_DESCRIPTION'      : 'Beschreibung'
    'EDIT_PLACEHOLDER_TAG'              : 'Tag hinzufügen'
    'EDIT_PLACEHOLDER_TITLE'            : 'Titel'
    'EDIT_CHANGES_SUCCESS_HEADING'      : 'Änderungen erfolgreich'
    'EDIT_CHANGES_SUCCESS_CONTENT'      : 'Deine Änderungen wurden gespeichert.'
    'EDIT_CHANGES_FAILURE_HEADING'      : 'Änderungen fehlgeschlagen'
    'EDIT_CHANGES_FAILURE_CONTENT'      : 'Deine Änderungen konnten nicht übernommen werden. Überprüfe Deine Verbindung oder versuche es später erneut.'
    'EDIT_VISIBILITY_LABEL'             : 'Sichtbarkeit'
    'EDIT_VISIBILITY_PRIVATE'           : 'privat'
    'EDIT_VISIBILITY_PUBLIC'            : 'öffentlich'
    'EDIT_VISIBILITY_DCMEMBER'          : 'DocCheck Nutzer'
    'EDIT_VISIBILITY_MEDIC'             : 'Medizinische Fachkreise'
    'EDIT_BUTTON_SAVE'                  : 'Speichern'
    'EDIT_BUTTON_ADD_TAG'               : 'Hinzufügen'

    'SEARCH_OWN_PICTURES'               : 'Meine Bilder'
    'SEARCH_OWN_LOGIN_REQUIRED'         : 'Logge Dich ein, um Deine eigenen Bilder zu sehen.'

    'FEEDBACK_TITLE'                    : 'Feedback senden'

    'HELP_TITLE'                        : 'Hilfe &amp; Tipps'
    'HELP_CONTENT'                      : '<b style="color:#000">Was ist die Pictures App?</b><br />
                                            DocCheck Pictures ist das kostenlose medizinische Bildarchiv von Europas größter Healthcare-Community. Das Archiv enthält u.a. Fallbeispiele, Befunddokumentationen, Mikrofotografien, bildgebende Verfahren der Medizin und schematische Darstellungen.
                                            Stöbere in über 20.000 Medizinbildern und teile Deine interessanten Fälle mit über 1.000.000 Kollegen. <br />
                                            Mit der kostenlosen App hast Du das Bildarchiv immer dabei und kannst Fälle ganz einfach per Knopfdruck teilen. <br />
                                            <br />
                                            <b style="color:#000">Wie kann ich ein Bild hochladen?</b><br />
                                            Wenn Du auf die Kamera in der Mitte unten klickst, kannst Du auswählen, ob Du Bilder aus Deinem Archiv hochladen willst oder direkt ein Foto aufnehmen willst. Das frisch aufgenommene Foto wird dann automatisch bei DocCheck hochgeladen.<br />
                                            <br />
                                            <b style="color:#000">Wer kann meine Bilder sehen?</b><br />
                                            Das kommt ganz auf Deine Sichtbarkeitseinstellungen an. Diese kannst Du ändern, wenn Du in den Einstellungen auf „Standard-Datenschutz“ klickst.<br />
                                            <br />
                                            <b style="color:#000">Was muss ich bei der Veröffentlichung von Patientenbildern beachten?</b><br />
                                            Da gerade bei Bildern die Erkennbarkeit der Patienten nicht vollkommen ausgeschlossen werden kann und Bilder von Krankheiten die Intimsphäre des Patienten betreffen, ist eine Einwilligung des Patienten erforderlich. Bitte sorge in jedem Fall dafür, dass die Gesichter der Patienten nicht abgebildet werden und veröffentliche keine Namen Deiner Patienten.'

    'PRIVACY_TITLE'                     : 'Datenschutz'

    'SETTINGS_TITLE'                    : 'Einstellungen'
    'SETTINGS_NOTIFICATIONS'            : 'Benachrichtigungen'
    'SETTINGS_SAVE_LOCALLY'             : 'In Aufnahmen sichern'
    'SETTINGS_SIGN_OUT'                 : 'Abmelden'
    'SETTINGS_HELP'                     : 'Hilfe &amp; Tipps'
    'SETTINGS_PRIVACY'                  : 'Datenschutz'
    'SETTINGS_FEEDBACK'                 : 'Feedback senden'
    'SETTINGS_PROMOTION'                : 'Mehr Informationen'

    'CONNECTION_ERROR'                  : 'Verbindung fehlgeschlagen'
    'NO_CONNECTION_HEADING'             : 'Keine Verbindung'
    'NO_CONNECTION_CONTENT'             : 'Keine Internetverbindung verfügbar. Bitte verbinde Dein Gerät mit dem Internet und versuche es erneut.'
    'YES'                               : 'Ja'            
    'NO'                                : 'Nein'
    'CONFIRM'                           : 'Okay'
    'CANCEL'                            : 'Abbrechen'
    'SUBMIT'                            : 'Abschicken'
    'LOADING'                           : 'Wird geladen...'
    'LOGIN_REQUIRED'                    : 'Login erforderlich'
    'LOGIN_REQUIRED_CONTENT'            : 'Bitte logge Dich ein, um diese Funktion zu nutzen.'
    'LOGIN_FAILED'                      : 'Login fehlgeschlagen'
    'LOGIN_FAILED_CONTENT'              : 'Nutzername oder Passwort nicht korrekt.'
    'LOGIN_INCORRECT'                   : 'Ungültige Kombination aus Nutzername und Passwort.'
    'UPLOAD_SUCCESS_HEADING'            : 'Upload abgeschlossen'
    'UPLOAD_SUCCESS_CONTENT'            : 'Dein Bild wurde hochgeladen.'
    'UPLOAD_FAILURE_HEADING'            : 'Upload abgebrochen'
    'UPLOAD_FAILURE_CONTENT'            : 'Das Bild konnte nicht hochgeladen werden. Bitte überpüfe Deine Internetverbindung oder das Bildformat.'
    'UPLOAD_IN_PROGRESS_HEADING'        : 'Upload'
    'UPLOAD_IN_PROGRESS_CONTENT'        : 'Dein Bild wird hochgeladen...'

    'DISCLAIMER_TITLE'                  : 'Disclaimer'
    'SETTINGS_DISCLAIMER'               : 'Disclaimer'
    'IMPRESS'                           : 'Impressum'
    'LANGUAGE'                          : 'Sprache'
    'ADDITIONAL_INFORMATION'            : 'Mehr Informationen'
    'OFFLINE'                           : 'Leider ist ein Fehler beim Laden der Bilder aufgetreten.<br />
                                           Bitte überprüfe Deine Internetverbindung und versuche es erneut.'
    'SEARCH_OWN_NO_ITEMS'               : 'Du hast noch keine eigenen Bilder hochgeladen. Klicke auf die Kamera unten und lege gleich los!'
    'PRIVACY_VISIBILITY_TEXT'           : 'Hier kannst Du einstellen, wer Deine Bilder sehen darf.'
    'PRIVACY_RIGHTS_LABEL'              : 'Copyright'   
    'PRIVACY_RIGHTS_TEXT'               : 'Welche Rechte liegen auf deinen Bildern?'
    'PRIVACY_ALL_RIGHTS_RESERVED'       : 'Alle Rechte vorbehalten'
    'PRIVACY_CREATIVE_COMMONS'          : 'Creative Commons'
    'PRIVACY_CC_ATTR'                   : 'Namensnennung'
    'PRIVACY_CC_ATTR_NODER'             : 'Namensnennung, keine Bearbeitung'
    'PRIVACY_CC_ATTR_SHARE'             : 'Namensnennung, Weitergabe unter gleichen Bedingungen'
    'PRIVACY_CC_ATTR_NONCOMM'           : 'Namensnennung, nicht-kommerziell'
    'PRIVACY_CC_ATTR_NONCOMM_NODER'     : 'Namensnennung, nicht-kommerziell, keine Bearbeitung'
    'PRIVACY_CC_ATTR_NONCOMM_SHARE'     : 'Namensnennung, nicht-kommerziell, Weitergabe unter gleichen Bedingungen'
    'PRIVACY_PUBLIC_DOMAIN'             : 'Kein Urheberrechtsschutz (Gemeinfreiheit, public domain)'

    'OVERLAY_TAKE_PHOTO'                : 'Foto aufnehmen'
    'OVERLAY_OPEN_GALLERY'              : 'Aus Album auswählen'

    'PRIVACY_IN_FUTURE'                 : 'Hier wirst Du zukünftig ebenfalls die standardmäßigen Rechteeinstellungen festlegen können.'
    'DETAIL_INFO'                       : 'Details'
    'LOGIN_REQUIRED_REF'                : 'Logge Dich ein, um noch mehr spannende Bilder zu sehen.'

    'UPDATE'                            : 'Dies ist eine Vorabversion der neuen DocCheck Pictures App und wird keine weiteren Updates erhalten. Installiere in ein paar Tagen also auch die <a href=\"https://itunes.apple.com/de/app/doccheck-pictures/id454491104?mt=8&uo=4\" target=\"itunes_store\">offizielle Pictures App aus dem AppStore</a>, um immer auf dem aktuellen Stand zu sein.'

    'LOGIN_REQUIRED_FOR_CAMERA'         : 'Logge Dich ein, um eigene Bilder hochzuladen.'
    'LOGIN_REQUIRED_FOR_OWN'            : 'Logge Dich ein, um auf Deine eigenen Bilder zuzugreifen.'

    'DISCLAIMER_CONTENT'                : 'DocCheck® Pictures ist ein offenes Medizinbildarchiv, das ausschließlich der Aus- und Weiterbildung von Angehörigen und Studenten der medizinischen Fachkreise (z.B. Ärzte, Apotheker, Tierärzte, Zahnärzte) dient. Es bietet keine Anleitung zur Selbsttherapie und kein Ersatz für eine ärztliche Beratung oder Behandlung.<br />
                                           <br />
                                           DocCheck Pictures wird von den teilnehmenden Autoren nach bestem Wissen gepflegt. Da es "offen" ist, kann es jedoch falsche, unvollständige oder sogar irreführende Informationen enthalten. Als Nutzer sollten Sie deshalb alle enthaltenen Informationen kritisch prüfen und mit weiteren Quellen vergleichen.<br />
                                           <br />
                                           Die Autoren und die Betreiber von DocCheck Pictures übernehmen keine Haftung für Schäden, die durch unreflektierte bzw. nicht-kontrollierte Anwendung von Empfehlungen, Inhalten oder Meinungsäußerungen entstehen, die bei DocCheck Pictures zu Lehr- oder Demonstrationszwecken publiziert sind.<br />
                                           <br />
                                           Bilder und Artikel, die Angaben zum Einsatz und zur Dosierung von Medikamenten machen, sind die persönliche Einschätzung der Autoren. Sie sind kein Ersatz für die Empfehlungen des Herstellers oder des behandelnden Arztes oder Apothekers.'

    'DC_LOGIN_USERNAME'                 : 'Nutzername'
    'DC_LOGIN_PASSWORD'                 : 'Passwort'
    'DC_LOGIN_PASSWORDFORGOTTEN'        : 'Passwort vergessen?'
    'DC_LOGIN_REGISTER'                 : 'Kostenlos registrieren'
    'DC_LOGIN_SUBMIT'                   : 'Einloggen'

  })
)