angular.module("DocCheckPictures.translations").config(($translateProvider) ->
    $translateProvider.translations('en_EN', {
      ###
      #
      # 8888888 888     88 
      # 88      8888    88
      # 88      88 88   88
      # 8888    88  88  88
      # 88      88   88 88
      # 88      88    8888
      # 8888888 88     888
      #
      ###
      'DC_PICTURES'                       : 'DocCheck Pictures'

      'SEARCH_PLACEHOLDER'                : 'Keyword...'
      'SEARCH_CONNECTION_INFO'            : 'Couldn\'t connect to DocCheck Pictures.'
      'SEARCH_NEWEST_PICTURES'            : 'New pictures'
      'SEARCH_NO_RESULTS'                 : 'No results for your search'
      'SEARCH_RESULTS_FOR'                : 'results for'

      'DETAIL_HEADING'                    : 'Detailed view'
      'DETAIL_DELETE_CHECK_HEADING'       : 'Confirm deletion'
      'DETAIL_DELETE_CHECK_CONTENT'       : 'Are you sure you want to delete this picture?'
      'DETAIL_DELETE_SUCCESS_HEADING'     : 'Deletion successful'
      'DETAIL_DELETE_SUCCESS_CONTENT'     : 'The picture has been deleted successfully.'
      'DETAIL_DELETE_FAILURE_HEADING'     : 'Deletion failed'
      'DETAIL_DELETE_FAILURE_CONTENT'     : 'The picture couldn\'t be deleted. Please check your connection or try again later.'
      'DETAIL_PICINFO_FAILURE_CONTENT'    : 'The information for this picture couldn\'t be loaded. Please check your connection or try again later.'

      'EDIT_TITLE'                        : 'Edit picture'
      'EDIT_PLACEHOLDER_DESCRIPTION'      : 'Description'
      'EDIT_PLACEHOLDER_TAG'              : 'Add tag'
      'EDIT_PLACEHOLDER_TITLE'            : 'Title'
      'EDIT_CHANGES_SUCCESS_HEADING'      : 'Changes successful'
      'EDIT_CHANGES_SUCCESS_CONTENT'      : 'Your changes have been saved successfully.'
      'EDIT_CHANGES_FAILURE_HEADING'      : 'Changes failed'
      'EDIT_CHANGES_FAILURE_CONTENT'      : 'Your changes couldn\'t be saved. Please check your connection or try again later.'
      'EDIT_VISIBILITY_LABEL'             : 'Visibility'
      'EDIT_VISIBILITY_PRIVATE'           : 'private'
      'EDIT_VISIBILITY_PUBLIC'            : 'public'
      'EDIT_VISIBILITY_DCMEMBER'          : 'DocCheck-member'
      'EDIT_VISIBILITY_MEDIC'             : 'medical member'
      'EDIT_BUTTON_SAVE'                  : 'Save'
      'EDIT_BUTTON_ADD_TAG'               : 'Add'

      'SEARCH_OWN_PICTURES'               : 'My pictures'
      'SEARCH_OWN_LOGIN_REQUIRED'         : 'Please log in to see your own pictures.'

      'FEEDBACK_TITLE'                    : 'Send feedback'

      'HELP_TITLE'                        : 'Help &amp; tips'
      'HELP_CONTENT'                      : '<b style="color:#000">What is the Pictures App?</b><br /> 
                                              DocCheck Pictures is the free medical picture library of Europe\'s largest Healthcare-Community. The library contains among other things findings, case studies and clinical material. Search in over 20.000 medical pictures and share your interesting cases with over a million colleagues. <br />
                                              With our free app the archive is always with you and you can easily share your cases at the push of a button. <br />
                                              <br />
                                              <b style="color:#000">How do I upload images?</b><br />
                                              Just click on the camera down in the middle. You can choose between uploading images from your camera roll or taking a picture. The freshly taken picture will be uploaded automatically on DocCheck.<br />
                                              <br />
                                              <b style="color:#000">Who can see my images?</b><br />
                                              That depends on the visibility you chose. You can change these by clicking on "Privacy" in the settings.<br />
                                              <br />
                                              <b style="color:#000">What to consider uploading images of patients?</b><br />
                                              Especially on pictures it is easy to identify a person. So you need an agreement from your patient. Please take care, that faces of patients can\'t be recognized and names of your patient aren\'t published.'

      'PRIVACY_TITLE'                     : 'Privacy'

      'SETTINGS_TITLE'                    : 'Settings'
      'SETTINGS_NOTIFICATIONS'            : 'Notifications'
      'SETTINGS_SAVE_LOCALLY'             : 'Save locally'
      'SETTINGS_SIGN_OUT'                 : 'Sign out'
      'SETTINGS_HELP'                     : 'Help &amp; tips'
      'SETTINGS_PRIVACY'                  : 'Privacy'
      'SETTINGS_FEEDBACK'                 : 'Send feedback'
      'SETTINGS_PROMOTION'                : 'Additional information'

      'CONNECTION_ERROR'                  : 'Connection failed'
      'NO_CONNECTION_HEADING'             : 'No connection'
      'NO_CONNECTION_CONTENT'             : 'No internet connection available. Please connect your device to the internet and try again.'
      'YES'                               : 'Yes'            
      'NO'                                : 'No'
      'CONFIRM'                           : 'Okay'
      'CANCEL'                            : 'Cancel'
      'SUBMIT'                            : 'Submit'
      'LOADING'                           : 'Loading...'
      'LOGIN_REQUIRED'                    : 'Login required'
      'LOGIN_REQUIRED_CONTENT'            : 'Please log in first to use this function.'
      'LOGIN_FAILED'                      : 'Login failed'
      'LOGIN_FAILED_CONTENT'              : 'Username or password not correct.'
      'LOGIN_INCORRECT'                   : 'Invalid combination of username and password.'
      'UPLOAD_SUCCESS_HEADING'            : 'Upload finished'
      'UPLOAD_SUCCESS_CONTENT'            : 'The upload was finished successfully.'
      'UPLOAD_FAILURE_HEADING'            : 'Upload canceled'
      'UPLOAD_FAILURE_CONTENT'            : 'The upload couldn\'t be finished. Please check your connection or try again later.'
      'UPLOAD_IN_PROGRESS_HEADING'        : 'Upload...'
      'UPLOAD_IN_PROGRESS_CONTENT'        : 'Picture is being uploaded...'

      'DISCLAIMER_TITLE'                  : 'Disclaimer'
      'SETTINGS_DISCLAIMER'               : 'Disclaimer'
      'IMPRESS'                           : 'Impress'
      'LANGUAGE'                          : 'Language'
      'ADDITIONAL_INFORMATION'            : 'Additional information'
      'OFFLINE'                           : 'An error occured while loading.<br />
                                             Please check your Internet connection and try again.'
      'SEARCH_OWN_NO_ITEMS'               : 'You haven\'t uploaded any images yet. Click on the camrea below and start right now!'
      'PRIVACY_VISIBILITY_TEXT'           : 'Choose here, who can see your images.'
      'PRIVACY_RIGHTS_LABEL'              : 'Copyright'   
      'PRIVACY_RIGHTS_TEXT'               : 'What rights are reserved for your images?'
      'PRIVACY_ALL_RIGHTS_RESERVED'       : 'All rights reserved'
      'PRIVACY_CREATIVE_COMMONS'          : 'Creative Commons'
      'PRIVACY_CC_ATTR'                   : 'Attribution'
      'PRIVACY_CC_ATTR_NODER'             : 'Attribution-NoDerivs'
      'PRIVACY_CC_ATTR_SHARE'             : 'Attribution-ShareAlike'
      'PRIVACY_CC_ATTR_NONCOMM'           : 'Attribution-NonCommercial'
      'PRIVACY_CC_ATTR_NONCOMM_NODER'     : 'Attribution-NonCommercial-NoDerivs'
      'PRIVACY_CC_ATTR_NONCOMM_SHARE'     : 'Attribution-NonCommercial-ShareAlike'
      'PRIVACY_PUBLIC_DOMAIN'             : 'Public Domain Dedication'

      'OVERLAY_TAKE_PHOTO'                : 'Take photo'
      'OVERLAY_OPEN_GALLERY'              : 'Pick from gallery'

      'PRIVACY_IN_FUTURE'                 : 'Soon you will also be able to change your default rights settings here.'
      'DETAIL_INFO'                       : 'Details'
      'LOGIN_REQUIRED_REF'                : 'Sign in to see more exciting pictures.'

      'UPDATE'                            : 'This is a pre-version of the new DocCheck pictures app and won\'t receive any further updates. So please install the <a href=\"https://itunes.apple.com/en/app/doccheck-pictures/id454491104?mt=8&uo=4\" target=\"itunes_store\">official Pictures App from the AppStore</a> as well in a few days to keep up to date.'

      'LOGIN_REQUIRED_FOR_CAMERA'         : 'Sign in to upload new pictures.'
      'LOGIN_REQUIRED_FOR_OWN'            : 'Sign in to access your own pictures.'

      'DISCLAIMER_CONTENT'                : ''

      'DC_LOGIN_USERNAME'                 : 'Username'
      'DC_LOGIN_PASSWORD'                 : 'Password'
      'DC_LOGIN_PASSWORDFORGOTTEN'        : 'Passwort forgotten?'
      'DC_LOGIN_REGISTER'                 : 'Apply for a password'
      'DC_LOGIN_SUBMIT'                   : 'Sign In'
    })
)